#
# spec file for package perl-File-Which (Version 0.05 )
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           perl-File-Which
Url:            http://cpan.org/modules/by-module/File/
Version:        0.05 
Release:        103
Requires:       perl = %{perl_version}
AutoReqProv:    on
Group:          Development/Libraries/Perl
License:        Artistic License
Summary:        Portable implementation of the `which' utility
Source:         File-Which-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
File::Which is a portable implementation (in Perl) of `which', and can
be used to get the absolute filename of an executable program installed
somewhere in your PATH, or just check for its existence. It includes
the command-line utility `pwhich' which has the same function as
`which'.



Authors:
--------
    Per Einar Ellefsen <per.einar@skynet.be>

%prep
%setup -n File-Which-%{version} -q

%build
perl Makefile.PL
make
make test

%install
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%files
%defattr(-,root,root)
%doc Changes MANIFEST README
%doc %{_mandir}/man?/*
%{_bindir}/pwhich
%dir %{perl_vendorlib}/File
%dir %{perl_vendorarch}/auto/File
%dir %{perl_vendorarch}/auto/File/Which
%{perl_vendorlib}/File/Which.pm
%{perl_vendorarch}/auto/File/Which/
/var/adm/perl-modules/%{name}

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Dec 20 2006 anicka@suse.cz
- package created (initial version 0.05)
